> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heydollr.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Refund Session



## OpenAPI

````yaml https://api.heydollr.app/openapi.json post /{version}/sessions/refund
openapi: 3.1.0
info:
  title: Dollr Open API
  version: 1.0.0
servers: []
security: []
paths:
  /{version}/sessions/refund:
    post:
      tags:
        - sessions
      summary: Create Refund Session
      operationId: create_refund_session__version__sessions_refund_post
      parameters:
        - name: version
          in: path
          required: true
          schema:
            const: v1
            type: string
            title: API version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRefundSessionPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefundSessionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateRefundSessionPayload:
      properties:
        original_payment_intent_id:
          type: integer
          title: Original Payment Intent Id
        amount:
          anyOf:
            - type: number
              minimum: 0.01
            - type: integer
              minimum: 1
          title: Amount
          description: A positive, non-zero amount.
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        expires_at:
          type: string
          format: date-time
          title: Expires At
      type: object
      required:
        - original_payment_intent_id
        - amount
        - expires_at
      title: CreateRefundSessionPayload
      description: CreateRefundSessionPayload
    RefundSessionResponse:
      properties:
        id:
          type: integer
          title: Id
        original_payment_intent_id:
          type: integer
          title: Original Payment Intent Id
        amount:
          anyOf:
            - type: number
              minimum: 0.01
            - type: integer
              minimum: 1
          title: Amount
          description: A positive, non-zero amount.
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        status:
          type: string
          title: Status
        expires_at:
          type: string
          format: date-time
          title: Expires At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - original_payment_intent_id
        - amount
        - status
        - expires_at
        - created_at
        - updated_at
      title: RefundSessionResponse
      description: RefundSessionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````